package com.app.intelligent.board.uikeyboard;



import java.util.ArrayList;
import java.util.List;

public class KeyboardResponseAreaLayout {
    private String name;
    private List<KeyboardKeyItemModel> keyModels = new ArrayList<>();


    public KeyboardResponseAreaLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyboardKeyItemModel> getKeys() {
        return keyModels;
    }

    public void addKey(KeyboardKeyItemModel keyModel) {
        this.keyModels.add(keyModel);
    }

    public KeyboardKeyItemModel getLastKey() {
        return keyModels.isEmpty() ? null : keyModels.get(keyModels.size() - 1);
    }


}